/*
 *  Copyright (C) 2006 CSIRO Australia
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  
 *  - Redistributions of source code must retain the above copyright
 *  notice, this list of conditions and the following disclaimer.
 *  
 *  - Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  
 *  - Neither the name of the CSIRO nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 *  PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE ORGANISATION OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef PHPANX_GENERAL_H
#define PHPANX_GENERAL_H 1

#define PHPANX_GENERAL_FUNCTIONS 			\
	PHP_FE(anx_parse_time, NULL)			\
	PHP_FE(anx_last_error, NULL)			\
	PHP_FE(anx_strerror, NULL)			\
	PHP_FE(anx_open, NULL)				\
	PHP_FE(anx_new, NULL)				\
	PHP_FE(anx_flush, NULL)				\
	PHP_FE(anx_close, NULL)				\
	PHP_FE(anx_destroy, NULL)			\
	PHP_FE(anx_ready, NULL)				\
	PHP_FE(anx_set_head, NULL)			\
	PHP_FE(anx_get_basetime, NULL)			\
	PHP_FE(anx_get_presentation_time, NULL)		\
	PHP_FE(anx_get_bitrate, NULL)			\
	PHP_FE(anx_get_duration, NULL)			\
	PHP_FE(anx_tell_time, NULL)			\
	PHP_FE(anx_seek_time, NULL)			\


PHP_FUNCTION(anx_parse_time);
PHP_FUNCTION(anx_last_error);
PHP_FUNCTION(anx_strerror);
PHP_FUNCTION(anx_open);
PHP_FUNCTION(anx_new);
PHP_FUNCTION(anx_flush);
PHP_FUNCTION(anx_close);
PHP_FUNCTION(anx_destroy);
PHP_FUNCTION(anx_ready);
PHP_FUNCTION(anx_set_head);
PHP_FUNCTION(anx_get_presentation_time);
PHP_FUNCTION(anx_get_basetime);
PHP_FUNCTION(anx_get_bitrate);
PHP_FUNCTION(anx_get_duration);
PHP_FUNCTION(anx_tell_time);
PHP_FUNCTION(anx_seek_time);

#endif

